Skip to main content
POST
/
rest
/
webhook
Register webhook
curl --request POST \
  --url https://mcp.arlohealth.ai/rest/webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhookUrl": "<string>",
  "webhookToken": "<string>",
  "deliveryContext": {
    "to": "<string>",
    "channel": "<string>",
    "deliver": true
  },
  "conversationSessionKey": "<string>",
  "sessionKey": "<string>"
}
'
{
  "success": true,
  "webhookUrl": "<string>",
  "hasSecret": true,
  "hasDeliveryContext": true,
  "conversationSessionKey": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth 2.1 with PKCE

Body

application/json
webhookUrl
string<uri>
required

URL for notifications (must be publicly accessible)

webhookToken
string

Bearer token for webhook authentication

deliveryContext
object

Platform-specific context included in webhooks

conversationSessionKey
string

For threading webhook notifications

sessionKey
string

Custom session key (auto-generated if not provided)

Response

Webhook registered

success
boolean
webhookUrl
string
hasSecret
boolean
hasDeliveryContext
boolean
conversationSessionKey
string